#
# spec file for package gap-openmath
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-openmath
Version:        11.4.2
Release:        lp151.2.1
Summary:        GAP: OpenMath functionality in GAP
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            http://www.cs.st-andrews.ac.uk/~alexk/openmath/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/OpenMath-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5
Requires:       gap-io >= 4.4

%description
The package provides an OpenMath phrasebook for GAP: it allows GAP
users to import and export mathematical objects encoded in OpenMath,
for the purpose of exchanging them with other OpenMath-enabled
applications.

%prep
%setup -qn OpenMath-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 11.4.2
  * Replaced EvalString by Int to convert a string to an integer
  * Added xmlns and version to OMOBJ tag
  * Replace obsolete Tuple by DirectProductElement
  * Switched from READ_COMMAND to READ_COMMAND_REAL
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 11.3.1
  * No changelog was provided
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 11.2.0
  * Added function EvalOMString which is an analog of EvalString to
  evaluate a string containing an OpenMath object
* Fri May 10 2013 jengelh@inai.de
- Split openmath (version 11.1.4) off the gap RPM package
